package cn.iocoder.yudao.module.pms.service.yanfan;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.vo.DevicePageReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.YfDeviceDO;

import java.util.List;

/**
 * 设备 Service 接口
 *
 * @author 李鹏辉
 */
public interface YfDeviceService {

    /**
     * 获得设备
     *
     * @param id 编号
     * @return 设备
     */
    YfDeviceDO getDevice(Long id);

    /**
     * 获得设备分页
     *
     * @param pageReqVO 分页查询
     * @return 设备分页
     */
    PageResult<YfDeviceDO> getDevicePage(DevicePageReqVO pageReqVO);

    List<YfDeviceDO> getAllDevice();
    List<YfDeviceDO> getAllDeviceByColumn(String column, String value);
}
